Enable easier transitions for fade in/out, etc.
Closed, ResolvedPublic

Description

Hello friends. I noticed that Pitivi's ability to incorporate fade in/out's doesn't seem that user friendly. In order to add this capability, one must drag sliders across the individual picture to initiate a fade in or fade out type of transition. This is incredibly tedious, even for a handful of pictures. Consider my current project which will likely last me years (family movie that I started while dating, and will continue on with life events, such as anniversaries, kids, kids birthdays, kids graduation, etc), selecting each individual item to have a consistent 1.0 second or so fade in *and* out for each image is a headache.

Compare this to another project, namely OpenShot, where all you have to do is right click on the image and select fade in+out (fast), or fade in+out (slow). While OpenShot's functionality does not enable a "global" way to apply this functionality to each and every picture/video segment, it is exponentially easier to quickly right click - bam, right click - bam, as opposed to Pitivi's current implementation where you need to drag sliders (equally for consistency) for each and every picture/video segment. It is my hope that the above will be considered as a feature add-in.

Thank you for your time! :)

Imported from https://bugzilla.gnome.org/show_bug.cgi?id=727904

jasauders claimed this task.Apr 9 2014, 3:27 PM
jasauders created this task.
jasauders added a subscriber: jasauders.
pitivi-maint triaged this task as Normal priority.Apr 9 2014, 3:27 PM
pitivi-maint claimed this task.
thiblahute removed pitivi-maint as the assignee of this task.Sep 16 2015, 1:40 PM
thiblahute added a project: Pitivi.
thiblahute removed pitivi-maint as the assignee of this task.Sep 16 2015, 1:44 PM
aleb lowered the priority of this task from Normal to Enhancement.Nov 10 2016, 3:38 PM
cfoch added a subscriber: cfoch.Mar 28 2017, 10:35 PM
This comment was removed by cfoch.

Isn't it a particular case of T7715 ?

This idea comes to my mind:

UC-1: Add a fixed transition to multiple images:

  1. Select a bunch of video/image clips
  2. Right Click
  3. Select "Add fixed transitions".
  4. Clips are reordered with transitions added in between during N seconds each transiton.

Precondition: N is previusly set in Preferences Dialog
Postcondition: Clips are reordered and transitions added

UC-2: Select transitions only

  1. Select a bunch of clips
  2. Right click
  3. Select "Select transitions only"

Precondition: There are some clips in the timeline
Postcondition: Only the transition clips kept selected

UC-3: Set a transition type and change values for multiple transitions

  1. Select a bunch of transitions (They can be selected through UC-2)
  2. Change a Transition by selecting an icon in the TransitionWidget
  3. Change "Normal", "Loop", "Reverse" properties in the TransitionWidget

Pre-condition: There are transition clips in the Timeline
Post-condition: Transition types and properties are changed for all the selected transitions at the same time

What do you think?

GitLab Migration Automatic Message

This bug has been migrated to GNOME's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.gnome.org/GNOME/pitivi/issues/1472.

csoriano1618 closed this task as Closed.Fri, Feb 23, 10:12 PM
csoriano1618 claimed this task.